Package com.dropbox.core.v2.files
Class DbxAppListFolderBuilder
java.lang.Object
com.dropbox.core.v2.files.DbxAppListFolderBuilder
The request builder returned by
DbxAppFilesRequests.listFolderBuilder(java.lang.String).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withIncludeDeleted(Boolean includeDeleted) Set value for optional field.withIncludeHasExplicitSharedMembers(Boolean includeHasExplicitSharedMembers) Set value for optional field.withIncludeMediaInfo(Boolean includeMediaInfo) Deprecated.withIncludeMountedFolders(Boolean includeMountedFolders) Set value for optional field.withIncludeNonDownloadableFiles(Boolean includeNonDownloadableFiles) Set value for optional field.withIncludePropertyGroups(TemplateFilterBase includePropertyGroups) Set value for optional field.Set value for optional field.withRecursive(Boolean recursive) Set value for optional field.withSharedLink(SharedLink sharedLink) Set value for optional field.
-
Method Details
-
withRecursive
Set value for optional field.If left unset or set to
null, defaults tofalse.- Parameters:
recursive- If true, the list folder operation will be applied recursively to all subfolders and the response will contain contents of all subfolders. In some cases, settingListFolderArg.getRecursive()totruemay lead to performance issues or errors, especially when traversing folder structures with a large number of items. A workaround for such cases is to setListFolderArg.getRecursive()tofalseand traverse subfolders one at a time. Defaults tofalsewhen set tonull.- Returns:
- this builder
-
withIncludeMediaInfo
Deprecated.Set value for optional field.If left unset or set to
null, defaults tofalse.- Parameters:
includeMediaInfo- Field is deprecated. If true,FileMetadata.getMediaInfo()is set for photo and video. This parameter will no longer have an effect starting December 2, 2019. Defaults tofalsewhen set tonull.- Returns:
- this builder
-
withIncludeDeleted
Set value for optional field.If left unset or set to
null, defaults tofalse.- Parameters:
includeDeleted- If true, the results will include entries for files and folders that used to exist but were deleted. Defaults tofalsewhen set tonull.- Returns:
- this builder
-
withIncludeMountedFolders
Set value for optional field.If left unset or set to
null, defaults totrue.- Parameters:
includeMountedFolders- If true, the results will include entries under mounted folders which includes app folder, shared folder and team folder. Defaults totruewhen set tonull.- Returns:
- this builder
-
withLimit
Set value for optional field.- Parameters:
limit- The maximum number of results to return per request. Note: This is an approximate number and there can be slightly more entries returned in some cases. Must be greater than or equal to 1 and be less than or equal to 2000.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withIncludePropertyGroups
Set value for optional field.- Parameters:
includePropertyGroups- If set to a valid list of template IDs,FileMetadata.getPropertyGroups()is set if there exists property data associated with the file and each of the listed templates.- Returns:
- this builder
-
withIncludeNonDownloadableFiles
Set value for optional field.If left unset or set to
null, defaults totrue.- Parameters:
includeNonDownloadableFiles- If true, include files that are not downloadable, i.e. Google Docs. Defaults totruewhen set tonull.- Returns:
- this builder
-
start
Issues the request.- Throws:
ListFolderErrorExceptionDbxException
-